#pragma once

#if defined(WIN32)
#ifdef AUDIO_RENDER_LIB
#define AUDIO_RENDER_EXPORT __declspec( dllexport )
#else
#define AUDIO_RENDER_EXPORT __declspec( dllimport )
#endif
#endif // WIN32

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

    AUDIO_RENDER_EXPORT bool __stdcall Initialize(const char* sender_name, const char* receiver_name);
    AUDIO_RENDER_EXPORT bool __stdcall Write(const unsigned char* data, unsigned int len);
    AUDIO_RENDER_EXPORT void __stdcall Uninitialize();

#ifdef __cplusplus
}
#endif // __cplusplus
